Package pyplusplus :: Package decl_wrappers :: Module call_policies

# Module call_policies

source code

Contains definition of call policies classes

Classes
CREATION_POLICY Implementation details
call_policy_t base class for all classes, which generate "call policies" code
default_call_policies_t implements code generation for boost::python::default_call_policies
compound_policy_t base class for all call policies, except the default one
return_argument_t implements code generation for boost::python::return_argument call policies
return_internal_reference_t implements code generation for boost::python::return_internal_reference call policies
with_custodian_and_ward_t implements code generation for boost::python::with_custodian_and_ward call policies
with_custodian_and_ward_postcall_t implements code generation for boost::python::with_custodian_and_ward_postcall call policies
return_value_policy_t implements code generation for boost::python::return_value_policy call policies
custom_call_policies_t implements code generation for user defined call policies
memory_managers implements code generation for Py++ defined memory managers
convert_array_to_tuple_t implements code generation for Py++ defined "as_tuple" value policy
return_range_t implements code generation for Py++ defined "return_range" call policies

Functions

default_call_policies() create ::boost::python::default_call_policies call policies code generator | source code

return_arg(arg_pos, base=None) create boost::python::return_arg call policies code generator | source code

return_self(base=None) create boost::python::return_self call policies code generator | source code

return_internal_reference(arg_pos=1, base=None) create boost::python::return_internal_reference call policies code generator | source code

with_custodian_and_ward(custodian, ward, base=None) create boost::python::with_custodian_and_ward call policies code generator | source code

with_custodian_and_ward_postcall(custodian, ward, base=None) create boost::python::with_custodian_and_ward_postcall call policies code generator | source code

return_value_policy(result_converter_generator, base=None) create boost::python::return_value_policy call policies code generator | source code

is_return_opaque_pointer_policy(policy) returns True is policy represents return_value_policy<return_opaque_pointer>, False otherwise | source code

custom_call_policies(call_policies, header_file=None) create custom\user defined call policies code generator | source code

convert_array_to_tuple(array_size, memory_manager, make_object_call_policies=None, base=None) create boost::python::return_value_policy< py++::as_tuple > call policies code generator | source code

return_range(function, get_size_class, value_policies=None) create Py++ defined return_range call policies code generator | source code

Variables
| PYPP_CALL_POLICIES_HEADER_FILE = ``'``__call_policies.pypp.hpp``'``
| copy_const_reference = ``'``::boost::python::copy_const_reference``'``
| copy_non_const_reference = ``'``::boost::python::copy_non_const_re``...``
| manage_new_object = ``'``::boost::python::manage_new_object``'``
| reference_existing_object = ``'``::boost::python::reference_existi``...``
| return_by_value = ``'``::boost::python::return_by_value``'``
| return_opaque_pointer = ``'``::boost::python::return_opaque_pointer``'``
| return_pointee_value = ``'``::pyplusplus::call_policies::return_po``...``
| return_addressof = ``'``::pyplusplus::call_policies::return_addres``...``

Variables Details

### copy_non_const_reference

Value:

      '::boost::python::copy_non_const_reference'

### reference_existing_object

Value:

      '::boost::python::reference_existing_object'

### return_pointee_value

Value:

      '::pyplusplus::call_policies::return_pointee_value'

### return_addressof

Value:

      '::pyplusplus::call_policies::return_addressof'